sonata_admin:
    title: 'CTCPM'
    title_logo: 'images/logo.jpeg'
    dashboard:
        blocks:
            - { type: sonata.admin.block.admin_list, position: left }

    show_mosaic_button: true

    global_search:
        empty_boxes: hide

    templates:
        preview: '@App/CRUD/preview.html.twig'
        search:              '@SonataAdmin/Core/search.html.twig'
        search_result_block: '@SonataAdmin/Block/block_search_result.html.twig'

    security:
        handler: sonata.admin.security.handler.role

        # this service MUST implement ``Sonata\AdminBundle\Util\AdminAclUserManagerInterface``.
        #acl_user_manager: App\Manager\AclUserManager

        role_admin: ROLE_ADMIN
        role_super_admin: ROLE_SUPER_ADMIN

        # acl security information
        information:
            GUEST:    [VIEW, LIST]
            STAFF:    [EDIT, HISTORY, LIST, CREATE]
            EDITOR:   [OPERATOR, EXPORT]
            ADMIN:    [MASTER]

        # permissions not related to an object instance and also to be available when objects do not exist
        # the DELETE admin permission means the user is allowed to batch delete objects
        admin_permissions: [CREATE, LIST, DELETE, UNDELETE, EXPORT, OPERATOR, MASTER]

        # permission related to the objects
        object_permissions: [VIEW, EDIT, HISTORY, DELETE, UNDELETE, OPERATOR, MASTER, OWNER]

sonata_block:
    blocks:
        sonata.admin.block.admin_list:
            contexts: [admin]

        sonata.admin.block.search_result:
            contexts: [admin]
